%global __requires_exclude perl\\(packed-refs\\)|funcoes/func.gammu.php
%global __provides_exclude_from %{_docdir}
%global __requires_exclude_from %{_docdir}

%define libname %mklibname git
%define profile_branch 93git-branch.sh
%define profile_env    93git-env.sh

%bcond_with cvsimport

Name:    git
Epoch:   1
Version: 2.46.0
Release: %mkrel 1

Summary: Fast and distributed version control system
License: GPLv2
Group:   Development/Other
Url:     https://git-scm.com/
Source0: https://www.kernel.org/pub/software/scm/git/git-%{version}.tar.xz
Source1: https://www.kernel.org/pub/software/scm/git/git-%{version}.tar.sign
Source2: gitweb.conf
Source3: %{profile_branch}
Source4: %{profile_env}
Patch0:  gitweb.perl.fix_uninitialized.patch

BuildRequires: asciidoc
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(expat)
BuildRequires: pkgconfig(openssl)
BuildRequires: perl(App::Prove)
BuildRequires: perl(CGI)
BuildRequires: perl(CGI::Carp)
BuildRequires: perl(CGI::Util)
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(IO::Pty)
BuildRequires: perl(Mail::Address)
BuildRequires: perl(Memoize)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Error)
BuildRequires: perl(Test)
BuildRequires: pkgconfig(python3)
BuildRequires: xmlto-notex
BuildRequires: pkgconfig(zlib)
BuildRequires: docbook-dtd45-xml
BuildRequires: docbook-style-xsl
BuildRequires: pkgconfig(libpcre2-posix)

Requires: git-core = %{epoch}:%{version}
Requires: git-email = %{epoch}:%{version}
Recommends: gitk = %{epoch}:%{version}
Recommends: git-arch = %{epoch}:%{version}
Recommends: git-core-oldies = %{epoch}:%{version}
Recommends: git-cvs = %{epoch}:%{version}
Recommends: git-svn = %{epoch}:%{version}

%description
Git is a free and open source distributed version control system designed to
handle everything from small to very large projects with speed and efficiency.

This is a dummy package which brings in all subpackages.

%package -n git-core
Summary: Global Information Tracker
Group: Development/Other
Requires: diffutils
Requires: rsync
Requires: less
Requires: openssh-clients
Recommends: git-prompt
Conflicts: git < 4.3.20-15
Obsoletes: gitcompletion < 1:2.0.0
Obsoletes: gitview < 1:2.13.0
Provides: gitcompletion

%description -n git-core
Git is a free and open source distributed version control system designed to
handle everything from small to very large projects with speed and efficiency.

These are the core tools with minimal dependencies.

You may want to install subversion, csvps and/or tla to import
repositories from other VCS.

%package -n gitk
Summary: Git revision tree visualiser
Group: Development/Other
Requires: git-core = %{epoch}:%{version}
Requires: tk >= 8.4
Requires: tcl >= 8.4

%description -n gitk
Git revision tree visualiser.


%package -n %{libname}-devel
Summary: Git development files
Group: Development/Other
Provides: git-devel = %{version}-%{release}

%description -n %{libname}-devel
Development files for git.


%package -n git-subtree
Summary:        Git subtree command
Group:          Development/Other
Requires:       git-core = %{epoch}:%{version}-%{release}

%description -n git-subtree
Git subtree allows for the inclusion of a subproject within a
subdirectory of the main project.

%package -n git-svn
Summary:        Git tools for importing Subversion repositories
Group:          Development/Other
Requires:       git-core = %{epoch}:%{version}-%{release}, subversion

%description -n git-svn
Git tools for importing Subversion repositories.

%package -n git-cvs
Summary:        Git tools for working with CVS repositories
Group:          Development/Other
Requires:       git-core = %{epoch}:%{version}-%{release}
Recommends:     cvs
Recommends:     cvs-fast-export

%description -n git-cvs
Git tools for working with CVS repositories.

%package -n git-arch
Summary:        Git tools for importing Arch repositories
Group:          Development/Other
Requires:       git-core = %{epoch}:%{version}-%{release}
Recommends:       tla

%description -n git-arch
Git tools for importing Arch repositories.


%package -n git-email
Summary:        Git tools for sending email
Group:          Development/Other
Requires:       git-core = %{epoch}:%{version}-%{release}
Recommends:       perl-Authen-SASL
Recommends:       perl-MIME-Base64

%description -n git-email
Git tools for sending email.


%package -n perl-Git
Summary:        Perl interface to Git
Group:          Development/Perl
Requires:       git-core = %{epoch}:%{version}-%{release}

%description -n perl-Git
Perl interface to Git

%package -n perl-Git-SVN
Summary:        Perl interface to Git-SVN
Group:          Development/Perl
Requires:       git-core = %{epoch}:%{version}-%{release}
Conflicts:      perl-Git < 1:2.10.2-2

%description -n perl-Git-SVN
Perl interface to Git-SVN

%package -n python-git
Summary:        Python interface to Git
Group:          Development/Python
Requires:       git-core = %{epoch}:%{version}-%{release}

%description -n python-git
Python interface to Git


%package -n git-core-oldies
Summary:    Git obsolete commands, bound to extinction
Group:      Development/Other
Requires:   git-core = %{epoch}:%{version}-%{release}

%description -n git-core-oldies
Git obsolete commands, bound to extinction


%package -n gitweb
Summary:    cgi-bin script for browse a git repository with web browsers
Group:      System/Servers
Requires:   git-core = %{epoch}:%{version}-%{release}

%description -n gitweb
cgi-bin script for browse a git repository with web browsers.


%package -n git-prompt
Summary:        Shows the current git branch in your bash prompt
Group:          Shells
Requires:       git-core = %{epoch}:%{version}-%{release}
Requires:       bash-completion

%description -n git-prompt
Shows the current git branch in your bash prompt.

%package -n git-scalar
Summary:        Scalar helps Git scale to some of the largest Git repositories
Group:          Shells  
Requires:       git-core = %{epoch}:%{version}-%{release}
Requires:       bash-completion

%description -n git-scalar                                                                                                  
Scalar is a tool that helps Git scale to some of the largest Git repositories.                                              
It achieves this by enabling some advanced Git features, such as:                                                           
* Partial clone: reduces time to get a working repository by not downloading                                                
  all Git objects right away.                                                                                               
* Background prefetch: downloads Git object data from all remotes every hour,                                               
  reducing the amount of time for foreground git fetch calls.                                                               
* Sparse-checkout: limits the size of your working directory.                                                               
* File system monitor: tracks the recently modified files and eliminates the                                                
  need for Git to scan the entire worktree.                                                                                 
* Commit-graph: accelerates commit walks and reachability calculations,                                                     
  speeding up commands like git log.                                                                                        
* Multi-pack-index: enables fast object lookups across many pack-files.                                                     
* Incremental repack: Repacks the packed Git data into fewer pack-file                                                      
  without disrupting concurrent commands by using the multi-pack-index.

%prep
%setup -q -n git-%{version}
%autopatch -p1

# remove borring file
rm -f Documentation/.gitignore

# prefix gitweb css/png files with /gitweb
perl -pi -e 's!^(GITWEB_CSS|GITWEB_LOGO|GITWEB_FAVICON) = !$1 = /gitweb/!' Makefile

# Fix for MGA#22223
perl -lni -e 'print unless (/^git-remote-testsvn/.../^\s*$/ or /testsvn\.o/)' Makefile

# Use these same options for every invocation of 'make'.
# Otherwise it will rebuild in %%install due to flags changes.
cat << \EOF > config.mak
CFLAGS = %{optflags}
GITWEB_CONFIG = %{_sysconfdir}/gitweb.conf
USE_LIBPCRE = 1
NO_PERL_CPAN_FALLBACKS = 1
prefix = %{_prefix}
perllibdir = %{perl_vendorlib}
gitexecdir = %{_libdir}/git-core
EOF

# Remove Git::LoadCPAN to ensure we use only system perl modules.  This also
# allows the dependencies to be automatically processed by rpm.
rm -rf perl/Git/LoadCPAN{.pm,/}
grep -rlZ '^use Git::LoadCPAN::' | xargs -r0 sed -i 's/Git::LoadCPAN:://g'

# Set Python3 explicitly
%py3_shebang_fix \
	git-p4.py \
	$(find contrib/ -name "*.py" -type f)

%if ! %{with cvsimport}
# Remove git-cvsimport and gitcvs-migration from command list
sed -i -e '/^gitcvs-migration/d' -e '/^git-cvsimport/d' command-list.txt
%endif

%build
%make_build all doc gitweb

# Make git-subtree
pushd contrib/subtree
%make_build
popd

# Produce RelNotes.txt.gz
# sed trick changes "-x.y.z.txt" to "-x.y.z.0.txt" for ordering, then undoes it
# use awk to print a newline before each RelNotes header
cd Documentation/RelNotes \
&& relnotesls="`find . -name '*.txt' | sed 's/\([0-9]\.[0-9]\.[0-9]\)\.txt/\1.0.txt/' | sort -nr | sed 's/\([0-9]\.[0-9]\.[0-9]\)\.0\.txt/\1.txt/'`" \
&& awk 'FNR == 1 { print "" } { print }' $relnotesls | gzip -9c >../RelNotes.txt.gz

%install
mkdir -p %{buildroot}%{_bindir}
%make_install
make install-doc DESTDIR=%{buildroot}

# Install git-subtree and its doc
pushd contrib/subtree
%make_install
make install-doc DESTDIR=%{buildroot}
popd

make install-html DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_docdir}/git-core
for i in %{buildroot}/%{_docdir}/git-doc/* ; do
    mv "$i" %{buildroot}%{_docdir}/git-core/
done
rm -fr %{buildroot}/%{_docdir}/git-doc/
# (cg) Copy the whole contrib dir as docs. It contains useful scripts.
mkdir -p %{buildroot}%{_datadir}/doc/git-core
cp -ar contrib %{buildroot}%{_datadir}/doc/git-core

mkdir -p %{buildroot}%{_includedir}/git
cp *.h %{buildroot}%{_includedir}/git

mkdir -p %{buildroot}%{_libdir}
install -m 644 libgit.a %{buildroot}%{_libdir}/libgit.a
rm -fr %{buildroot}/%{perl_vendorlib}/FromCPAN
rm -f %{buildroot}%{_mandir}/man3/private-Error.3pm*

mkdir -p %{buildroot}%{_datadir}/gitweb/static
install -m 755 gitweb/gitweb.cgi %{buildroot}%{_datadir}/gitweb
install -m 644 gitweb/static/*.css gitweb/static/*.png %{buildroot}%{_datadir}/gitweb/static/

mkdir -p %{buildroot}%{_sysconfdir}
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/gitweb.conf
# apache configuration
mkdir -p %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/gitweb.conf <<EOF
# gitweb configuration
Alias /gitweb %{_datadir}/gitweb

<Directory %{_datadir}/gitweb>
    Require all granted
    Options ExecCgi
    AddHandler cgi-script .cgi
    DirectoryIndex gitweb.cgi
</Directory>
EOF

# fix .sp in man files
find %{buildroot}/%{_mandir} -type f | xargs perl -e 's/\.sp$/\n\.sp/g' -pi

# emacs VC backend:
mkdir -p %{buildroot}{%{_datadir}/emacs/site-lisp,/etc/emacs/site-start.d}
install -m 644 contrib/emacs/*.el %{buildroot}%{_datadir}/emacs/site-lisp
cat >%{buildroot}/etc/emacs/site-start.d/vc_git.el <<EOF
(add-to-list 'vc-handled-backends 'GIT)
EOF

# install bash-completion file
mkdir -p  %{buildroot}%{_sysconfdir}/bash_completion.d
install -m644 contrib/completion/git-completion.bash \
    %{buildroot}%{_sysconfdir}/bash_completion.d/git

# And the prompt manipulation file
install -D -m 0644 %SOURCE3 %{buildroot}%{_sysconfdir}/profile.d/%{profile_branch}
# exposes a bug in less, as reported by coling
#install -D -m 0644 %%SOURCE4 %%{buildroot}%%{_sysconfdir}/profile.d/%%{profile_env}

%if ! %{with cvsimport}
# Remove git-cvsimport* and gitcvs-migration*
find %{buildroot} Documentation \( -type f -o -type l \) \
    \( -name 'git-cvsimport*' -o -name 'gitcvs-migration*' \) -print -delete
%endif

%find_lang %{name}
perl -i -nl -e 'print unless m=\Q%{_docdir}\E=' %{name}.*

%check
LC_ALL=C %make_build test

%files
# no files in the main package

%files -n git-core -f %{name}.lang
%{_docdir}/git-core
#doc
/etc/emacs/site-start.d/*
/etc/bash_completion.d/*
%{_datadir}/emacs/site-lisp/*
%{_bindir}/git
%{_bindir}/git-*
%{_libdir}/git-core
%exclude %{_libdir}/git-core/*svn*
%exclude %{_libdir}/git-core/*cvs*
%exclude %{_libdir}/git-core/git-archimport
%exclude %{_libdir}/git-core/*email*
# %%exclude %%{_bindir}/git-merge-recursive-old
%{_datadir}/git-core
%{_datadir}/git-gui
# %%exclude %%{_datadir}/git-core/python
%{_mandir}/*/git-*
%{_mandir}/*/git.*
%{_mandir}/*/gitattributes*
%{_mandir}/*/giteveryday*
%{_mandir}/*/gitignore*
%{_mandir}/*/gitmodules*
%{_mandir}/*/gitnamespaces*
%{_mandir}/*/gitcli*
%{_mandir}/*/githooks*
%{_mandir}/*/gitrepository*
%{_mandir}/*/*tutorial*
%{_mandir}/*/*glossary*
%{_mandir}/*/gitdiffcore*
%{_mandir}/*/gitworkflows*
%{_mandir}/*/gitremote-helpers*
%{_mandir}/*/gitrevisions*
%{_mandir}/*/gitcredentials*
%{_mandir}/*/gitsubmodules*
%{_mandir}/*/gitfaq*
%{_mandir}/*/gitmailmap*
%{_mandir}/*/gitformat-*   
%{_mandir}/*/gitprotocol-*
%{_mandir}/*/gitpacking*
%exclude %{_mandir}/man1/*svn*.1*
%exclude %{_mandir}/man1/*cvs*.1*
%exclude %{_mandir}/man1/*email*.1*
%exclude %{_mandir}/man1/git-archimport.1*
#doc README.md Documentation/*.html Documentation/howto Documentation/technical Documentation/RelNotes.txt.gz

%files -n gitk
%{_bindir}/gitk
%{_mandir}/*/gitk*
%{_datadir}/gitk
%doc README.md

%files -n %{libname}-devel
%{_includedir}/git
%{_libdir}/libgit.a

%files -n git-subtree
%{_libdir}/git-core/*subtree*
%{_mandir}/man1/*subtree*.1*

%files -n git-svn
%{_libdir}/git-core/*svn*
%{_mandir}/man1/*svn*.1*

%files -n git-cvs
%{_libdir}/git-core/*cvs*
%{_mandir}/man1/*cvs*.1*
%if %{with cvsimport}
%{_mandir}/man7/*cvs*.7*
%endif

%files -n git-arch
%{_libdir}/git-core/git-archimport
%{_mandir}/man1/git-archimport.1*

%files -n git-email
%{_libdir}/git-core/*email*
%{_mandir}/man1/*email*.1*

%files -n perl-Git
%{perl_vendorlib}/Git*.pm
%dir %{perl_vendorlib}/Git/
%{perl_vendorlib}/Git/I*.pm
%{perl_vendorlib}/Git/Packet.pm
%{_mandir}/man3/Git.3pm*

%files -n perl-Git-SVN
%{perl_vendorlib}/Git/SVN/
%{perl_vendorlib}/Git/SVN.pm

%files -n git-core-oldies

%files -n gitweb
%config(noreplace) %{_sysconfdir}/gitweb.conf
%config(noreplace) %{_webappconfdir}/gitweb.conf
%{_datadir}/gitweb
%{_mandir}/man1/gitweb.1*
%{_mandir}/man5/gitweb.conf.5*

%files -n git-prompt
%{_sysconfdir}/profile.d/%{profile_branch}

%files -n git-scalar
%{_bindir}/scalar
%{_mandir}/man1/scalar.1.*


%changelog
* Tue Jul 30 2024 kekepower <kekepower> 1:2.46.0-1.mga10
+ Revision: 2082981
- Update to version 2.46.0

* Sat Jun 01 2024 kekepower <kekepower> 1:2.45.2-1.mga10
+ Revision: 2069016
- Update to version 2.45.2

* Wed May 15 2024 kekepower <kekepower> 1:2.45.1-1.mga10
+ Revision: 2064268
- Update to version 2.45.1

* Mon Apr 29 2024 kekepower <kekepower> 1:2.45.0-1.mga10
+ Revision: 2061691
- Update to version 2.45.0

* Fri Feb 23 2024 kekepower <kekepower> 1:2.44.0-1.mga10
+ Revision: 2043781
- Update to version 2.44.0

* Fri Feb 16 2024 kekepower <kekepower> 1:2.43.2-1.mga10
+ Revision: 2041851
- Rediff Patch0: gitweb.perl.fix_uninitialized.patch
- Update to version 2.43.2
- Update to version 2.43.1

* Mon Nov 20 2023 kekepower <kekepower> 1:2.43.0-1.mga10
+ Revision: 2008520
- Update to version 2.43.0

* Thu Nov 02 2023 kekepower <kekepower> 1:2.42.1-1.mga10
+ Revision: 2003669
- Update to version 2.42.1

* Sun Aug 27 2023 kekepower <kekepower> 1:2.42.0-1.1.mga10
+ Revision: 1980233
- Update to version 2.42.0

* Thu Jun 01 2023 kekepower <kekepower> 1:2.41.0-1.mga9
+ Revision: 1960469
- Update to version 2.41.0

* Wed Apr 26 2023 kekepower <kekepower> 1:2.40.1-1.mga9
+ Revision: 1954998
- Update to version 2.40.1

* Tue Mar 14 2023 kekepower <kekepower> 1:2.40.0-1.mga9
+ Revision: 1948955
- Update to version 2.40.0

* Wed Feb 15 2023 kekepower <kekepower> 1:2.39.2-1.mga9
+ Revision: 1942470
- Update to version 2.39.2

* Wed Jan 18 2023 kekepower <kekepower> 1:2.39.1-1.mga9
+ Revision: 1934262
- Update to version 2.39.1

* Mon Dec 12 2022 kekepower <kekepower> 1:2.39.0-1.mga9
+ Revision: 1921083
- Update to version 2.39.0

* Sun Dec 11 2022 kekepower <kekepower> 1:2.38.2-1.mga9
+ Revision: 1920502
- Update to version 2.38.2

* Wed Oct 19 2022 kekepower <kekepower> 1:2.38.1-1.mga9
+ Revision: 1897525
- Update to version 2.38.1

* Tue Oct 04 2022 kekepower <kekepower> 1:2.38.0-1.mga9
+ Revision: 1894636
- Introducing sub-package git-scalar
- Update to version 2.38.0

* Wed Sep 28 2022 wally <wally> 1:2.37.3-2.mga9
+ Revision: 1892974
- drop git-cvsimport as it depends on deprecated cvsps 2.x and doesn't work with cvsps 3.x (mga#30850)

* Wed Aug 31 2022 kekepower <kekepower> 1:2.37.3-1.mga9
+ Revision: 1882574
- Update to version 2.37.3

* Fri Aug 12 2022 kekepower <kekepower> 1:2.37.2-1.mga9
+ Revision: 1877143
- Update to version 2.37.2

* Wed Jul 13 2022 kekepower <kekepower> 1:2.37.1-1.mga9
+ Revision: 1868687
- Update to version 2.37.1

* Tue Jun 28 2022 kekepower <kekepower> 1:2.37.0-1.mga9
+ Revision: 1866452
- Update to version 2.37.0

* Sat May 07 2022 kekepower <kekepower> 1:2.36.1-1.mga9
+ Revision: 1856565
- Update to version 2.36.1

* Mon Apr 18 2022 kekepower <kekepower> 1:2.36.0-1.mga9
+ Revision: 1851514
- Update to version 2.36.0

* Thu Apr 14 2022 kekepower <kekepower> 1:2.35.3-1.mga9
+ Revision: 1849324
- Update to version 2.35.3

* Tue Apr 12 2022 luigiwalser <luigiwalser> 1:2.35.2-1.mga9
+ Revision: 1849172
- 2.35.2

* Fri Mar 18 2022 umeabot <umeabot> 1:2.35.1-2.mga9
+ Revision: 1797891
- Mageia 9 Mass Rebuild

* Sat Jan 29 2022 kekepower <kekepower> 1:2.35.1-1.mga9
+ Revision: 1770211
- Update to version 2.35.1

* Tue Jan 25 2022 kekepower <kekepower> 1:2.35.0-1.mga9
+ Revision: 1769744
- Update to version 2.35.0

* Thu Nov 25 2021 luigiwalser <luigiwalser> 1:2.34.1-1.mga9
+ Revision: 1759132
- 2.34.1

* Tue Nov 16 2021 kekepower <kekepower> 1:2.34.0-1.mga9
+ Revision: 1757103
- Update to version 2.34.0

* Wed Oct 13 2021 kekepower <kekepower> 1:2.33.1-1.mga9
+ Revision: 1751172
- Update to version 2.33.1

* Sat Oct 02 2021 tmb <tmb> 1:2.33.0-2.mga9
+ Revision: 1747351
- rebuild for openssl 3.0.0

* Tue Aug 17 2021 kekepower <kekepower> 1:2.33.0-1.mga9
+ Revision: 1741740
- Update to version 2.33.0

* Sun Jun 06 2021 kekepower <kekepower> 1:2.32.0-1.mga9
+ Revision: 1729916
- Update to version 2.32.0

* Sat Mar 27 2021 kekepower <kekepower> 1:2.31.1-1.mga9
+ Revision: 1710917
- Update to version 2.32.1
- Update to version 2.31.0

* Tue Mar 09 2021 neoclust <neoclust> 1:2.30.2-1.mga9
+ Revision: 1700901
- New version 2.30.2: Fixes CVE-2021-21300 (mga#28566)

* Tue Feb 09 2021 luigiwalser <luigiwalser> 1:2.30.1-1.mga8
+ Revision: 1675098
- 2.30.1

* Tue Dec 29 2020 kekepower <kekepower> 1:2.30.0-1.mga8
+ Revision: 1664834
- Update to version 2.30.0

* Fri Oct 30 2020 kekepower <kekepower> 1:2.29.2-1.mga8
+ Revision: 1640578
- Update to version 2.29.2

* Sat Oct 24 2020 kekepower <kekepower> 1:2.29.1-1.mga8
+ Revision: 1639028
- Update to version 2.29.1

* Mon Oct 19 2020 kekepower <kekepower> 1:2.29.0-1.mga8
+ Revision: 1637171
- Update to version 2.29.0

* Wed Jul 29 2020 kekepower <kekepower> 1:2.28.0-1.mga8
+ Revision: 1609641
- Update to version 2.28.0

* Tue Jun 02 2020 kekepower <kekepower> 1:2.27.0-1.mga8
+ Revision: 1589749
- Update to version 2.27.0

* Mon Apr 20 2020 tmb <tmb> 1:2.26.2-1.mga8
+ Revision: 1570148
- update to 2.26.2 (CVE-2020-11008)

* Tue Apr 14 2020 kekepower <kekepower> 1:2.26.1-1.mga8
+ Revision: 1567384
- Update to version 2.26.1

* Tue Mar 31 2020 shlomif <shlomif> 1:2.26.0-2.mga8
+ Revision: 1562777
- remove python 2.x deps

* Mon Mar 23 2020 tv <tv> 1:2.26.0-1.mga8
+ Revision: 1559072
- 2.26

* Thu Mar 19 2020 luigiwalser <luigiwalser> 1:2.25.2-1.mga8
+ Revision: 1557964
- 2.25.2

* Wed Feb 19 2020 umeabot <umeabot> 1:2.25.1-2.mga8
+ Revision: 1543167
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 luigiwalser <luigiwalser> 1:2.25.1-1.mga8
+ Revision: 1536934
- 2.25.1

* Thu Jan 16 2020 shlomif <shlomif> 1:2.25.0-1.mga8
+ Revision: 1478197
- New version 2.25.0

* Sun Dec 29 2019 kekepower <kekepower> 1:2.24.1-2.mga8
+ Revision: 1474845
- Set Python3 explicitly in git-p4
- Don't export PS1 in 93git-branch.sh (mga#25990)

* Fri Dec 13 2019 kekepower <kekepower> 1:2.24.1-1.mga8
+ Revision: 1466153
- Update to version 2.24.1

* Sat Dec 07 2019 shlomif <shlomif> 1:2.24.0-1.mga8
+ Revision: 1464916
- New version 2.24.0

* Thu Nov 14 2019 rapsys <rapsys> 1:2.23.0-2.mga8
+ Revision: 1459935
- Prevent undefined hash member or variable comparaison that result in cgi error "Use of uninitialized value [...]" in server error log

* Fri Sep 06 2019 shlomif <shlomif> 1:2.23.0-1.mga8
+ Revision: 1438003
- New version 2.23.0

* Mon Aug 26 2019 tmb <tmb> 1:2.22.1-2.mga8
+ Revision: 1432661
- rebuild for perl 5.30

* Tue Aug 13 2019 luigiwalser <luigiwalser> 1:2.22.1-1.mga8
+ Revision: 1429103
- 2.22.1

* Sat Jun 29 2019 shlomif <shlomif> 1:2.22.0-1.mga8
+ Revision: 1416182
- New version 2.22.0

* Fri Apr 05 2019 daviddavid <daviddavid> 1:2.21.0-2.mga7
+ Revision: 1386047
- replace cvsps for cvs-fast-export from git-cvs sub-pkg

* Mon Feb 25 2019 tv <tv> 1:2.21.0-1.mga7
+ Revision: 1370027
- 2.21.0

* Sat Dec 15 2018 kekepower <kekepower> 1:2.20.1-1.mga7
+ Revision: 1341424
- Update to version 2.20.1

* Mon Dec 10 2018 kekepower <kekepower> 1:2.20.0-1.mga7
+ Revision: 1339680
- Update to version 2.20.0

* Wed Nov 21 2018 tmb <tmb> 1:2.19.2-1.mga7
+ Revision: 1332903
- drop merged patch
- update to 2.19.2

* Sat Oct 06 2018 tmb <tmb> 1:2.19.1-1.mga7
+ Revision: 1318086
- 2.19.1 (CVE-2018-17456)

* Tue Sep 11 2018 tv <tv> 1:2.19.0-1.mga7
+ Revision: 1258391
- fix & simplify build with perl-5.28
- new release
- patch 2: curl-7.61.1 changes cookie sort order

* Tue Jul 17 2018 guillomovitch <guillomovitch> 1:2.18.0-2.mga7
+ Revision: 1244079
- drop private copies of CPAN modules

* Fri Jun 22 2018 kekepower <kekepower> 1:2.18.0-1.mga7
+ Revision: 1239054
- BR libpcre2-posix
- Update to version 2.18.0

* Tue May 29 2018 shlomif <shlomif> 1:2.17.1-1.mga7
+ Revision: 1232976
- New version 2.17.1

* Tue Apr 17 2018 shlomif <shlomif> 1:2.17.0-1.mga7
+ Revision: 1219710
- Fix build and apply MGA#17011 patch for git-st
+ kekepower <kekepower>
- Update to version 2.17.0

* Fri Mar 23 2018 luigiwalser <luigiwalser> 1:2.16.3-1.mga7
+ Revision: 1211413
- 2.16.3

* Sat Feb 17 2018 luigiwalser <luigiwalser> 1:2.16.2-1.mga7
+ Revision: 1202127
- 2.16.2

* Mon Jan 22 2018 luigiwalser <luigiwalser> 1:2.16.1-1.mga7
+ Revision: 1196078
- 2.16.1

* Thu Jan 18 2018 kekepower <kekepower> 1:2.16.0-1.mga7
+ Revision: 1194389
- Update to version 2.16.0
- Removed patch as the issue is fixed upstream
- Added a missing file

* Tue Dec 19 2017 shlomif <shlomif> 1:2.15.1-2.mga7
+ Revision: 1183484
- Fix for MGA#22223 .build id dangling link.

* Fri Dec 01 2017 luigiwalser <luigiwalser> 1:2.15.1-1.mga7
+ Revision: 1180623
- 2.15.1

* Wed Nov 22 2017 shlomif <shlomif> 1:2.15.0-1.mga7
+ Revision: 1178898
- New version 2.125.0 + MGA#22067 fix.

* Mon Oct 23 2017 luigiwalser <luigiwalser> 1:2.14.3-1.mga7
+ Revision: 1173159
- 2.14.3

* Tue Sep 26 2017 luigiwalser <luigiwalser> 1:2.14.2-1.mga7
+ Revision: 1159948
- 2.14.2

* Sat Sep 02 2017 tv <tv> 1:2.14.1-2.mga7
+ Revision: 1150590
- rebuild for fixed perl

* Fri Aug 11 2017 luigiwalser <luigiwalser> 1:2.14.1-1.mga7
+ Revision: 1139593
- 2.14.1

* Sat Aug 05 2017 guillomovitch <guillomovitch> 1:2.14.0-1.mga7
+ Revision: 1135114
- new version 2.14.0

* Wed Aug 02 2017 guillomovitch <guillomovitch> 1:2.13.3-2.mga7
+ Revision: 1133983
- rebuild for latest openssl

* Sat Jul 22 2017 tmb <tmb> 1:2.13.3-1.mga7
+ Revision: 1128454
- update to 2.13.3

* Sun Jun 25 2017 luigiwalser <luigiwalser> 1:2.13.2-1.mga6
+ Revision: 1108471
- 2.13.2

* Wed Jun 14 2017 guillomovitch <guillomovitch> 1:2.13.1-2.mga6
+ Revision: 1107672
- fix man pages formatting

* Tue Jun 06 2017 luigiwalser <luigiwalser> 1:2.13.1-1.mga6
+ Revision: 1107118
- 2.13.1

* Sun May 14 2017 wally <wally> 1:2.13.0-4.mga6
+ Revision: 1101071
- fix gitview obsoletes

* Sun May 14 2017 shlomif <shlomif> 1:2.13.0-3.mga6
+ Revision: 1101004
- Add Obsoletes on the removed gitview

* Sat May 13 2017 shlomif <shlomif> 1:2.13.0-2.mga6
+ Revision: 1100938
- Update the descriptions.

* Thu May 11 2017 shlomif <shlomif> 1:2.13.0-1.mga6
+ Revision: 1100320
- New upstream version 2.13.0 (fixes MGA#20827 ).

* Thu Jan 05 2017 wally <wally> 1:2.10.2-2.mga6
+ Revision: 1080234
- drop man page for Error.pm as .pm file itself is also removed
- split out perl-Git-SVN from perl-Git (mga#20073)

* Sun Oct 30 2016 luigiwalser <luigiwalser> 1:2.10.2-1.mga6
+ Revision: 1064198
- 2.10.2

* Tue Oct 04 2016 luigiwalser <luigiwalser> 1:2.10.1-1.mga6
+ Revision: 1058496
- 2.10.1

* Tue Sep 20 2016 tv <tv> 1:2.10.0-1.mga6
+ Revision: 1054582
- 2.10.0
+ shlomif <shlomif>
- Remove an unnecessary build dependency on TeX/texlive.

* Sat Aug 13 2016 luigiwalser <luigiwalser> 1:2.9.3-1.mga6
+ Revision: 1046363
- 2.9.3

* Sat Jul 16 2016 tmb <tmb> 1:2.9.2-1.mga6
+ Revision: 1042268
- 2.9.2 (fixes testsuite breakage)

* Tue Jul 12 2016 tmb <tmb> 1:2.9.1-2.mga6
+ Revision: 1041529
- revert year 2152 test for now as it fails on 32bit
- update to 2.9.1 (maintenance release)

* Tue Jun 14 2016 tv <tv> 1:2.9.0-1.mga6
+ Revision: 1021437
- new release

* Wed Jun 08 2016 luigiwalser <luigiwalser> 1:2.8.4-1.mga6
+ Revision: 1020845
- 2.8.4

* Sat May 21 2016 shlomif <shlomif> 1:2.8.3-1.mga6
+ Revision: 1017303
- New ver 2.8.3 + spec modernization

* Mon May 02 2016 luigiwalser <luigiwalser> 1:2.8.2-1.mga6
+ Revision: 1008673
- 2.8.2

* Fri Apr 08 2016 shlomif <shlomif> 1:2.8.1-1.mga6
+ Revision: 999508
- New version 2.8.1

* Fri Mar 18 2016 luigiwalser <luigiwalser> 1:2.7.4-1.mga6
+ Revision: 992837
- 2.7.4

* Fri Mar 11 2016 luigiwalser <luigiwalser> 1:2.7.3-1.mga6
+ Revision: 989159
- 2.7.3
- remove patch (fixed upstream)

* Wed Mar 02 2016 umeabot <umeabot> 1:2.7.2-2.mga6
+ Revision: 983430
- Rebuild for openssl

* Tue Feb 23 2016 luigiwalser <luigiwalser> 1:2.7.2-1.mga6
+ Revision: 977366
- 2.7.2

* Wed Feb 10 2016 luigiwalser <luigiwalser> 1:2.7.1-1.mga6
+ Revision: 953401
- add patch suggested upstream to fix build with grep 2.23
- 2.7.1

* Sat Jan 16 2016 tv <tv> 1:2.7.0-2.mga6
+ Revision: 924575
- patch 0: fix git-svn with SVN 1.9.x

* Tue Jan 05 2016 tv <tv> 1:2.7.0-1.mga6
+ Revision: 919811
- new release
+ blino <blino>
- enable perl regexp support (git grep -P) with pcre
- factorize options in config.mak (like Fedora)

* Wed Dec 09 2015 luigiwalser <luigiwalser> 1:2.6.4-1.mga6
+ Revision: 909083
- 2.6.4

* Mon Nov 09 2015 shlomif <shlomif> 1:2.6.3-2.mga6
+ Revision: 900079
- Made git-svn a recom instead of a req ( MGA#16884 ).

* Fri Nov 06 2015 luigiwalser <luigiwalser> 1:2.6.3-1.mga6
+ Revision: 898073
- 2.6.3

* Mon Oct 19 2015 luigiwalser <luigiwalser> 1:2.6.2-1.mga6
+ Revision: 892699
- 2.6.2

* Tue Oct 06 2015 luigiwalser <luigiwalser> 1:2.6.1-1.mga6
+ Revision: 886605
- 2.6.1

* Tue Sep 29 2015 tv <tv> 1:2.6.0-1.mga6
+ Revision: 885160
- new release

* Fri Sep 18 2015 fwang <fwang> 1:2.5.3-1.mga6
+ Revision: 880325
- update file list
- 2.5.3
+ colin <colin>
- New version: 2.5.0

* Sun Jul 05 2015 shlomif <shlomif> 1:2.4.5-2.mga6
+ Revision: 851347
- get the build to work again + reenable the tests
+ tv <tv>
- new release

* Sat Jun 20 2015 shlomif <shlomif> 1:2.4.4-1.mga6
+ Revision: 836280
- New version 2.4.4

* Sat Mar 07 2015 tmb <tmb> 1:2.3.2-1.mga5
+ Revision: 817961
- 2.3.2 (crash fixes, 2.2/2.3 regression fixes, bugfixes)

* Sun Mar 01 2015 tmb <tmb> 1:2.3.1-1.mga5
+ Revision: 817278
- 2.3.1 (bugfixes)

* Sat Feb 07 2015 tmb <tmb> 1:2.3.0-1.mga5
+ Revision: 814023
- 2.3.0

* Wed Jan 14 2015 luigiwalser <luigiwalser> 1:2.2.2-1.mga5
+ Revision: 810651
- 2.2.2

* Fri Dec 19 2014 luigiwalser <luigiwalser> 1:2.2.1-1.mga5
+ Revision: 804148
- 2.2.1 (fixes CVE-2014-9390)

* Thu Dec 04 2014 tv <tv> 1:2.2.0-0.1.mga5
+ Revision: 801541
- new release

* Thu Oct 30 2014 luigiwalser <luigiwalser> 1:2.1.3-1.mga5
+ Revision: 794706
- 2.1.3

* Wed Oct 15 2014 umeabot <umeabot> 1:2.1.2-2.mga5
+ Revision: 740362
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 luigiwalser <luigiwalser> 1:2.1.2-1.mga5
+ Revision: 733836
- 2.1.2
- 2.1.1

* Fri Sep 19 2014 tv <tv> 1:2.1.0-4.mga5
+ Revision: 697353
- excludes requires from doc (mga#14125)

* Fri Sep 19 2014 tv <tv> 1:2.1.0-3.mga5
+ Revision: 696982
- add 2 excludes

* Tue Sep 16 2014 umeabot <umeabot> 1:2.1.0-2.mga5
+ Revision: 679588
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Sep 01 2014 tv <tv> 1:2.1.0-1.mga5
+ Revision: 670457
- 2.1.0

* Mon Sep 01 2014 luigiwalser <luigiwalser> 1:1.9.4-1.mga5
+ Revision: 670287
- 1.9.4

* Tue Jun 03 2014 tv <tv> 1:1.9.2-2.mga5
+ Revision: 632111
- rebuild for new perl

* Fri Apr 25 2014 shlomif <shlomif> 1:1.9.2-1.mga5
+ Revision: 617827
- New version 1.9.2

* Thu Feb 06 2014 fwang <fwang> 1:1.8.5.4-2.mga5
+ Revision: 584218
- do not produce empty python interface

* Thu Feb 06 2014 fwang <fwang> 1:1.8.5.4-1.mga5
+ Revision: 584175
- update file list
- 1.8.5.4

* Thu Dec 05 2013 luigiwalser <luigiwalser> 1:1.8.4.5-1.mga4
+ Revision: 555411
- 1.8.4.5

* Sat Nov 23 2013 tmb <tmb> 1:1.8.4.4-1.mga4
+ Revision: 552475
- update to 1.8.4.4 (maintenance release)

* Fri Nov 08 2013 tmb <tmb> 1:1.8.4.3-1.mga4
+ Revision: 550016
- 1.8.4.3 (maintenance release)

* Sat Nov 02 2013 tmb <tmb> 1:1.8.4.2-1.mga4
+ Revision: 549139
- update to 1.8.4.2 (maintenance release)

* Tue Oct 22 2013 umeabot <umeabot> 1:1.8.4-3.mga4
+ Revision: 542667
- Mageia 4 Mass Rebuild
+ fwang <fwang>
- revert
- new version 1.8.4.1

* Mon Oct 14 2013 pterjan <pterjan> 1:1.8.4-2.mga4
+ Revision: 497759
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Aug 24 2013 fwang <fwang> 1:1.8.4-1.mga4
+ Revision: 470895
- new version 1.8.4

* Fri Jul 26 2013 colin <colin> 1:1.8.3.4-2.mga4
+ Revision: 458436
- Add upstream patch for send-email improvements with newer Net::SMTP::SSL

* Tue Jul 23 2013 fwang <fwang> 1:1.8.3.4-1.mga4
+ Revision: 457382
- new version 1.8.3.4

* Tue Jul 16 2013 fwang <fwang> 1:1.8.3.3-1.mga4
+ Revision: 455059
- new version 1.8.3.3

* Sat Jun 29 2013 fwang <fwang> 1:1.8.3.2-1.mga4
+ Revision: 448278
- new version 1.8.3.2

* Wed Jun 12 2013 fwang <fwang> 1:1.8.3.1-1.mga4
+ Revision: 442030
- new version 1.8.3.1

* Wed May 29 2013 tv <tv> 1:1.8.3-2.mga4
+ Revision: 430129
- rebuild for new perl

* Mon May 27 2013 shlomif <shlomif> 1:1.8.3-1.mga4
+ Revision: 428777
- New version 1.8.3
- Corrections

* Fri Mar 01 2013 tmb <tmb> 1:1.8.1.5-1.mga3
+ Revision: 400948
- update filelist
- 1.8.1.5 (maintenance release)

* Sun Feb 24 2013 luigiwalser <luigiwalser> 1:1.8.1.4-1.mga3
+ Revision: 400210
- 1.8.1.4

* Tue Feb 12 2013 luigiwalser <luigiwalser> 1:1.8.1.3-1.mga3
+ Revision: 397937
- 1.8.1.3

* Fri Feb 01 2013 luigiwalser <luigiwalser> 1:1.8.1.2-1.mga3
+ Revision: 393930
- 1.8.1.2

* Sat Jan 12 2013 umeabot <umeabot> 1:1.8.1-2.mga3
+ Revision: 351570
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 tmb <tmb> 1:1.8.1-1.mga3
+ Revision: 337404
- update to 1.8.1

* Thu Dec 13 2012 shlomif <shlomif> 1:1.8.0.2-1.mga3
+ Revision: 330356
- New version 1.8.0.2

* Tue Nov 27 2012 fwang <fwang> 1:1.8.0.1-1.mga3
+ Revision: 322219
- new version 1.8.0.1

* Mon Oct 22 2012 fwang <fwang> 1:1.8.0-1.mga3
+ Revision: 309085
- new version 1.8.0

* Sat Oct 20 2012 tmb <tmb> 1:1.7.12.4-1.mga3
+ Revision: 308453
- update to 1.7.12.4

* Mon Oct 08 2012 tmb <tmb> 1:1.7.12.3-1.mga3
+ Revision: 303659
- update to 1.7.12.3

* Sun Sep 30 2012 tmb <tmb> 1:1.7.12.2-1.mga3
+ Revision: 300897
- update to 1.7.12.2

* Wed Sep 19 2012 fwang <fwang> 1:1.7.12.1-1.mga3
+ Revision: 296082
- new version 1.7.12.1

* Wed Aug 22 2012 colin <colin> 1:1.7.12-2.mga3
+ Revision: 283063
- Fix git-prompt sub package due to upstream __git_ps1 changes

* Tue Aug 21 2012 fwang <fwang> 1:1.7.12-1.mga3
+ Revision: 282849
- new version 1.7.12

* Fri Aug 17 2012 fwang <fwang> 1:1.7.11.5-1.mga3
+ Revision: 281729
- new version 1.7.11.5

* Sat Aug 11 2012 blino <blino> 1:1.7.11.4-3.mga3
+ Revision: 280467
- spec file cosmetics

* Fri Aug 10 2012 blino <blino> 1:1.7.11.4-2.mga3
+ Revision: 280405
- fix httpd conf for apache 2.4

* Wed Aug 01 2012 fwang <fwang> 1:1.7.11.4-1.mga3
+ Revision: 277152
- new version 1.7.11.4

* Tue Jul 24 2012 fwang <fwang> 1:1.7.11.3-1.mga3
+ Revision: 273918
- new version 1.7.11.3

* Thu Jul 12 2012 fwang <fwang> 1:1.7.11.2-1.mga3
+ Revision: 270146
- new version 1.7.11.2

* Tue Jun 19 2012 fwang <fwang> 1:1.7.11-1.mga3
+ Revision: 261892
- new version 1.7.11

* Wed May 30 2012 blino <blino> 1:1.7.10.3-2.mga3
+ Revision: 251838
- rebuild for new perl

* Mon May 28 2012 shlomif <shlomif> 1:1.7.10.3-1.mga3
+ Revision: 248776
- New version - 1.7.10.3

* Sun Apr 08 2012 tmb <tmb> 1:1.7.10-1.mga2
+ Revision: 229710
- 1.7.10 (fixes problem with submodules, mga #5288)

* Fri Mar 09 2012 fwang <fwang> 1:1.7.9.3-1.mga2
+ Revision: 221888
- new version 1.7.9.3

* Thu Mar 08 2012 shlomif <shlomif> 1:1.7.9.2-2.mga2
+ Revision: 221567
- Fix the ugly login for pdksh users (when git-prompt is installed).
  Fixes bug https://bugs.mageia.org/show_bug.cgi?id=4473 . As opposed to what
  was pointed in the bug, the use of "type" was OK, but the use of "&>" which
  is a Bashism (probably derived from csh) was not. Thanks to the people on
  #bash on Freenode for pointing that out.

* Sun Feb 26 2012 fwang <fwang> 1:1.7.9.2-1.mga2
+ Revision: 215000
- new version 1.7.9.2

* Tue Feb 14 2012 tmb <tmb> 1:1.7.9.1-1.mga2
+ Revision: 208958
- update to 1.7.9.1

* Mon Feb 06 2012 wally <wally> 1:1.7.9-2.mga2
+ Revision: 205510
- change gitk requires to suggests
+ fwang <fwang>
- update file list
- new version 1.7.9

* Fri Jan 27 2012 kamil <kamil> 1:1.7.8.4-1.mga2
+ Revision: 202092
- new version 1.7.8.4

* Tue Jan 10 2012 fwang <fwang> 1:1.7.8.3-1.mga2
+ Revision: 194401
- new version 1.7.8.3

* Wed Dec 28 2011 tmb <tmb> 1:1.7.8.2-1.mga2
+ Revision: 188499
- update to 1.7.8.2

* Thu Dec 22 2011 tmb <tmb> 1:1.7.8.1-1.mga2
+ Revision: 185706
- update to 1.7.8.1

* Wed Dec 07 2011 fwang <fwang> 1:1.7.8-1.mga2
+ Revision: 178020
- update file list
- new version 1.7.8

* Sun Nov 20 2011 fwang <fwang> 1:1.7.7.4-1.mga2
+ Revision: 169616
- add br
- new version 1.7.7.4
+ tmb <tmb>
- update to 1.7.7.3

* Wed Nov 02 2011 tmb <tmb> 1:1.7.7.2-1.mga2
+ Revision: 161504
- update to 1.7.7.2

* Mon Oct 24 2011 tmb <tmb> 1:1.7.7.1-1.mga2
+ Revision: 157708
- update to 1.7.7.1

* Sun Oct 23 2011 shlomif <shlomif> 1:1.7.7-1.mga2
+ Revision: 157492
- New version - 1.7.7

* Mon Jun 27 2011 fwang <fwang> 1:1.7.6-1.mga2
+ Revision: 114291
- new verison 1.7.6

* Tue Jun 07 2011 tmb <tmb> 1:1.7.5.4-1.mga2
+ Revision: 101642
- update to 1.7.5.4

* Sun May 15 2011 pterjan <pterjan> 1:1.7.4.4-2.mga1
+ Revision: 98963
- Rebuild for fixed find-requires

* Sun Apr 17 2011 tmb <tmb> 1:1.7.4.4-1.mga1
+ Revision: 87175
- add Suggests perl-Authen-SASL and perl-MIME-Base64 to
  git-email as it is needed for sending with smtp auth
- update to 1.7.4.4

* Sun Apr 03 2011 tmb <tmb> 1:1.7.4.3-1.mga1
+ Revision: 79980
- update to 1.7.4.3

* Mon Feb 21 2011 dmorgan <dmorgan> 1:1.7.4.1-1.mga1
+ Revision: 55208
- New version

* Mon Jan 31 2011 dmorgan <dmorgan> 1:1.7.4-1.mga1
+ Revision: 45235
- New version

* Fri Jan 21 2011 jquelin <jquelin> 1:1.7.3.5-1.mga1
+ Revision: 29177
- rebuild for mageia
- imported package git

